Page MenuHomePhabricator

adjust spacing between Sense ID, bar and Gloss
Closed, ResolvedPublic

Description

Problem:
The spacing around the bar that divides Sense ID and Gloss is too small. It should be the same as the spacing around the bar separating Form ID and Representation.

Example:

Screenshots:

Acceptance criteria:

  • Spacing between Sense ID and bar are the same as between Form ID and bar

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterAdd 9px padding to glosses

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 7 2019, 11:43 AM
Arexnj added a subscriber: Arexnj.Feb 7 2019, 12:07 PM

A right-margin of 17.5 px is there between the "wikibase-lexeme-form-id" and the bar. There is also a padding of 9 px in the "representation-widget_representation". Please help me on how to proceed with making these changes. I would like to take this task.

Arexnj claimed this task.Feb 7 2019, 12:34 PM

Hey @Arexnj Thank you for working on this!
You need to make changes on https://github.com/wikimedia/mediawiki-extensions-WikibaseLexeme/blob/master/resources/lexeme.less. I don't know if you know how to make gerrit patches but there's a good summary in https://www.mediawiki.org/wiki/Gerrit/Tutorial/tl;dr

Arexnj added a comment.EditedFeb 8 2019, 12:28 PM

Hey, I have committed my gerrit patch. Kindly review it.
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikibaseLexeme/+/489190/

Change 489383 had a related patch set uploaded (by Arexnj; owner: Arexnj):
[mediawiki/extensions/WikibaseLexeme@master] it checkout T215502

https://gerrit.wikimedia.org/r/489383

Change 489383 abandoned by Arexnj:
it checkout T215502

https://gerrit.wikimedia.org/r/489383

Arexnj added a comment.Feb 9 2019, 3:58 PM

@Ladsgroup Thank you for your help sir.

I am trying to test this but failing :/ https://wikidata.beta.wmflabs.org/wiki/Lexeme:L1 seems to be broken because of all the current beta issues. https://test.wikidata.org/wiki/Lexeme:L2 might not have the code yet but not sure. If it has the code already then it's not working as expected. I'll wait until later this week to test again.

For me both have them properly. Maybe you need to clear the browser cache?
testwiki:


Beta:

Thanks! That's what it looks like for me as well. The language is still too close to the bar in your screenshots if you compare it to the space in Forms.

Thanks! That's what it looks like for me as well. The language is still too close to the bar in your screenshots if you compare it to the space in Forms.

This wasn't covered by the patch or the acceptance criteria. Fixing it would not be hard but it should be clear. I can make a patch to fix it if you want it.

Fair enough. Sorry. And yes please <3

Change 491490 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/WikibaseLexeme@master] Add 0px padding to glosses

https://gerrit.wikimedia.org/r/491490

Change 491490 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add 9px padding to glosses

https://gerrit.wikimedia.org/r/491490